%define modname suhosin
%define soname %{modname}.so
%define inifile Z99_%{modname}.ini

Summary:	Suhosin extension module for PHP
Name:		php4-%{modname}
Version:	0.9.18
Release:	%mkrel 2
Group:		Development/PHP
License:	PHP License
URL:		http://www.hardened-php.net/suhosin/
Source0:	%{modname}-%{version}.tgz
Source1:	%{modname}-%{version}.tgz.sig
Patch0:		suhosin-0.9.18-noservervar.patch
BuildRequires:	php4-devel >= 4.4.4
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Suhosin is an advanced protection system for PHP installations. It was designed
to protect servers and users from known and unknown flaws in PHP applications
and the PHP core. Suhosin is binary compatible to normal PHP installation,
which means it is compatible to 3rd party binary extension like ZendOptimizer.

%prep

%setup -q -n %{modname}-%{version}
%patch0 -p1 -b .noservervar
[ "../package.xml" != "/" ] && mv ../package.xml .

%build

php4ize

%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so %{modname}.so

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php4/extensions
install -d %{buildroot}%{_sysconfdir}/php4.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php4/extensions/
install -m0644 suhosin.ini %{buildroot}%{_sysconfdir}/php4.d/%{inifile}

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS package.xml tests Changelog
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php4.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php4/extensions/%{soname}


%changelog
* Sun Mar 11 2007 Olivier Blin <oblin@mandriva.com> 0.9.18-2mdv2007.1
+ Revision: 141144
- fix crash when register_server_variables is not defined (fix Maniadrive for example)

* Tue Mar 06 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.18-1mdv2007.1
+ Revision: 133881
- 0.9.18
- use the provided suhosin.ini file (thanks sesser)

* Sun Mar 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.16-4mdv2007.1
+ Revision: 132301
- rebuilt against new upstream php version (4.4.6)

* Thu Feb 22 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.16-3mdv2007.1
+ Revision: 124423
- rename the spec file
- rebuilt against new upstream php version (4.4.5)

* Fri Dec 15 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.16-1mdv2007.1
+ Revision: 97519
- Import php4-suhosin



* Fri Dec 15 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.16-1mdv2007.1
- php-5.x "backport"
